QGIS Application - Bug report #20733
Attribute table: Order of columns doesn't persist
2018-12-05 04:41 PM - Manuel K

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28553
Description

If the order of columns is changed ("Organize Columns...") the changes are lost after closing and reopening the table.

For example, if the "Actions” column is moved to the complete left, it moves back to ist original location after closing the table.

Related issues:

Related to QGIS Application - Bug report # 20673: QGIS3.4 Organize columns, ... Closed 2018-11-29
Related to QGIS Application - Bug report # 20287: Organize colums do not work... Closed 2018-10-31
Duplicates QGIS Application - Bug report # 20515: Attribute Table issue: the ... Closed 2018-11-16
History

#1 - 2018-12-05 06:13 PM - Giovanni Manghi
- Priority changed from Normal to High
- Operating System deleted (Windows)

confirmed.

#2 - 2018-12-06 08:22 AM - Alessandro Pasotti

- Related to Bug report #20673: QGIS3.4 Organize columns, data integrity compromised added

#3 - 2018-12-06 08:23 AM - Alessandro Pasotti

- Duplicates Bug report #20515: Attribute Table issue: the changes to the column settings are not persistent added

#4 - 2018-12-06 08:25 AM - Alessandro Pasotti
- Related to Bug report #20287: Organize colums do not work when the table is empty added

#5 - 2018-12-19 10:04 AM - Julien Cabieces

- Status changed from Open to Closed

Fixed now on master

#6 - 2018-12-19 09:05 PM - Giovanni Manghi
- Resolution set to fixed/implemented
